Groovy 1.7.10

## org.codehaus.groovy.util
[Java] Class TripleKeyHashMap

    java.lang.Object
      org.codehaus.groovy.util.ComplexKeyHashMap
          org.codehaus.groovy.util.TripleKeyHashMap

    public class TripleKeyHashMap
    extends ComplexKeyHashMap

Nested Class Summary
`static class` | `TripleKeyHashMap.Entry`

Field Summary

Fields inherited from class ComplexKeyHashMap
DEFAULT_CAPACITY, MAXIMUM_CAPACITY, MINIMUM_CAPACITY, size, table, threshold

Method Summary
`boolean` | `checkEquals(TripleKeyHashMap.Entry e, Object key1, Object key2, Object key3)`
`TripleKeyHashMap.Entry` | `createEntry()`
`Object` | `get(Object key1, Object key2, Object key3)`
`TripleKeyHashMap.Entry` | `getOrPut(Object key1, Object key2, Object key3)`
`def` | `remove(Object key1, Object key2, Object key3)`

Methods inherited from class ComplexKeyHashMap
ComplexKeyHashMap, ComplexKeyHashMap, ComplexKeyHashMap, clear, getEntrySetIterator, getTable, hash, init, isEmpty, resize, size

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### checkEquals

    public boolean checkEquals(TripleKeyHashMap.Entry e, Object key1, Object key2, Object key3)

### createEntry

    public TripleKeyHashMap.Entry createEntry()

### get

    public final Object get(Object key1, Object key2, Object key3)

### getOrPut

    public TripleKeyHashMap.Entry getOrPut(Object key1, Object key2, Object key3)

### remove

    public final def remove(Object key1, Object key2, Object key3)

Copyright © 2003-2010 The Codehaus. All rights reserved.